Issue 116729

Summary: Extension Manager: loss of keyboard access in default extensions (accessibility)
Product: extensions Reporter: christophestrobbe <christophe.strobbe>
Component: wwwAssignee: AOO issues mailing list <issues>
Status: CLOSED FIXED QA Contact:
Severity: Trivial    
Priority: P3 CC: cambrownapache, issues, strobbe, vstuart.foote
Version: currentKeywords: accessibility
Target Milestone: ---   
Hardware: Unknown   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description christophestrobbe 2011-01-31 15:26:03 UTC
(This is not related to a specific subcomponent, but I had to select a
subcomponent to submit the bug.)

Bug detected in OpenOffice 3.3 RC10 (OOO330m20, build 9567), on Windows XP but
it is unlikely to be new:
When tabbing to one of the default extensions in the Extension Manager, keyboard
access is lost. 

Steps to reproduce the issue:
1. Open the Extension Manager (keyboard: Alt+T, then E),
2. The keyboard focus is on the Add button; press Tab to move to the other
buttons: Check for Updates, Close, Help, Get more extensions on-line (the last
one is a link, but is part of the Tab cycle), 
3. Then press Tab once more: the focus now goes to the list of extensions. If
the focus lands on extension that cannot be disabled or removed, it is
impossible to move the focus off this list item with the Tab key (or by tabbing
backwards with Shift+Tab).

Current workaround: exit the Extension Manager by pressing Esc and reopen it,
then be careful not to tab past the last button.
Alternative workaround when OOo also has extensions that can be removed or
disabled: use the Up or Down arrow to move to an extension that can be removed
or disabled, then use Tab to move to the buttons at the bottom of the dialog.

This issue affects anyone who cannot use a pointing device, i.e. blind users
and motor-impaired users, so it is an accessibility issue.
Comment 1 Christophe Strobbe 2013-08-07 16:17:32 UTC
Retested with OpenOffice 4.0 on Windows 7. This OpenOffice version has no extensions that cannot be removed, and after reaching the list of extensions, using the up or down arrow key to go to an extension is sufficient to be able to tab out of the list of extensions. So it seems that this no longer applies to Apache OpenOffice 4.0.
Comment 2 V Stuart Foote 2013-08-07 18:18:29 UTC
keyboard trap resolved with AOO 4.0.0 release. Setting resolved fixed.
Comment 3 cambrownapache 2013-08-22 05:02:45 UTC
Verified the resolution in OpenOffice 4.0.0 on Windows 7